Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface Address

    @UML(identifier="CI_Address",
         specification=ISO_19115)
    public interface Address

Location of the responsible individual or organization.

Since:
  GeoAPI 1.0

Method Summary
`InternationalString` | `getAdministrativeArea()` State, province of the location.
`InternationalString` | `getCity()` The city of the location.
`InternationalString` | `getCountry()` Country of the physical address.
`Collection<String>` | `getDeliveryPoints()` Address line for the location (as described in ISO 11180, Annex A).
`Collection<String>` | `getElectronicMailAddresses()` Address of the electronic mailbox of the responsible organization or individual.
`String` | `getPostalCode()` ZIP or other postal code.

Method Detail

### getDeliveryPoints

    @UML(identifier="deliveryPoint",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getDeliveryPoints()

  Address line for the location (as described in ISO 11180, Annex A). Returns an empty array if none.

### getCity

    @UML(identifier="city",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getCity()

  The city of the location. Returns `null` if unspecified.

### getAdministrativeArea

    @UML(identifier="administrativeArea",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getAdministrativeArea()

  State, province of the location. Returns `null` if unspecified.

### getPostalCode

    @UML(identifier="postalCode",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getPostalCode()

  ZIP or other postal code. Returns `null` if unspecified.

### getCountry

    @UML(identifier="country",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getCountry()

  Country of the physical address. Returns `null` if unspecified.

### getElectronicMailAddresses

    @UML(identifier="electronicMailAddress",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getElectronicMailAddresses()

  Address of the electronic mailbox of the responsible organization or individual. Returns an empty array if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.